Subject: Re: bug#30704: 12.1.0; LaTeX-fill-buffer

From: Arash Esbati <[email-masked]>
Date: Mon, 04 Mar 2024 23:58:23 +0100

[email-masked] writes:

> LaTeX-fill-buffer places latex commands on the same line. For example,
> \usepackage commands from different adjacent lines before filling will
> be placed
> on the same line after filling. I don't think is expected behaviour.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

To some extent, it is the expected behavior: AUCTeX's filling algorithm
isn't smart enough to see the preamble of a document and skip the
filling there.  Hence, the `LaTeX-fill-buffer' command can be considered
dangerous and be used with care.  Patches to improve the situation are
welcome.

For the time being, I'm closing this report.

Best, Arash